libgimpprint API Reference: weave.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/weave.h File Reference

Go to the source code of this file.

## Data Structures
struct | stp_weave_t
struct | stp_pass_t
struct | stp_lineoff_t
struct | stp_lineactive_t
struct | stp_linecount_t
struct | stp_linebufs_t
struct | stp_linebounds_t
## Defines
#define | STP_MAX_WEAVE (8)
## Typedefs
typedef int | stp_packfunc (stp_vars_t *v, const unsigned char *line, int height, unsigned char *comp_buf, unsigned char **comp_ptr, int *first, int *last)
typedef void | stp_fillfunc (stp_vars_t *v, int row, int subpass, int width, int missingstartrows, int color)
typedef void | stp_flushfunc (stp_vars_t *v, int passno, int vertical_subpass)
typedef int | stp_compute_linewidth_func (stp_vars_t *v, int n)
## Enumerations
enum | stp_weave_strategy_t { STP_WEAVE_ZIGZAG, STP_WEAVE_ASCENDING, STP_WEAVE_DESCENDING, STP_WEAVE_ASCENDING_2X, STP_WEAVE_STAGGERED, STP_WEAVE_ASCENDING_3X }
## Functions
void | stp_initialize_weave (stp_vars_t *v, int jets, int separation, int oversample, int horizontal, int vertical, int ncolors, int bitwidth, int linewidth, int line_count, int first_line, int page_height, const int *head_offset, stp_weave_strategy_t, stp_flushfunc, stp_fillfunc, stp_packfunc, stp_compute_linewidth_func)
void | stp_flush_all (stp_vars_t *v)
void | stp_write_weave (stp_vars_t *v, unsigned char *const cols[])
stp_lineoff_t * | stp_get_lineoffsets_by_pass (const stp_vars_t *v, int pass)
stp_lineactive_t * | stp_get_lineactive_by_pass (const stp_vars_t *v, int pass)
stp_linecount_t * | stp_get_linecount_by_pass (const stp_vars_t *v, int pass)
const stp_linebufs_t * | stp_get_linebases_by_pass (const stp_vars_t *v, int pass)
stp_pass_t * | stp_get_pass_by_pass (const stp_vars_t *v, int pass)
void | stp_weave_parameters_by_row (const stp_vars_t *v, int row, int vertical_subpass, stp_weave_t *w)
## Variables
stp_packfunc | stp_pack_tiff
stp_packfunc | stp_pack_uncompressed
stp_fillfunc | stp_fill_tiff
stp_fillfunc | stp_fill_uncompressed
stp_compute_linewidth_func | stp_compute_tiff_linewidth
stp_compute_linewidth_func | stp_compute_uncompressed_linewidth

## Define Documentation

#define STP_MAX_WEAVE (8)

| Definition at line 44 of file weave.h. Referenced by stp_write_weave(), and stpi_destroy_weave().

## Typedef Documentation

typedef int stp_compute_linewidth_func(stp_vars_t *v, int n)

| Definition at line 121 of file weave.h. Referenced by stp_initialize_weave().

typedef void stp_fillfunc(stp_vars_t *v, int row, int subpass, int width, int missingstartrows, int color)

| Definition at line 118 of file weave.h. Referenced by stp_initialize_weave().

typedef void stp_flushfunc(stp_vars_t *v, int passno, int vertical_subpass)

| Definition at line 120 of file weave.h. Referenced by stp_initialize_weave().

typedef int stp_packfunc(stp_vars_t *v, const unsigned char *line, int height, unsigned char *comp_buf, unsigned char **comp_ptr, int *first, int *last)

| Definition at line 113 of file weave.h. Referenced by stp_initialize_weave().

## Enumeration Type Documentation

enum stp_weave_strategy_t

  | Enumeration values:
  STP_WEAVE_ZIGZAG |
  STP_WEAVE_ASCENDING |
  STP_WEAVE_DESCENDING |
  STP_WEAVE_ASCENDING_2X |
  STP_WEAVE_STAGGERED |
  STP_WEAVE_ASCENDING_3X |
Definition at line 104 of file weave.h.

## Function Documentation

void stp_flush_all | ( | stp_vars_t * | v | ) |

| Definition at line 1510 of file print-weave.c. References stp_vars_t, and stpi_flush_passes(). Referenced by escp2_print_page().

stp_lineactive_t* stp_get_lineactive_by_pass | ( | const stp_vars_t * | v,
|  | int | pass
| ) |

| Definition at line 1264 of file print-weave.c. References stpi_softweave::lineactive, stp_get_component_data(), stp_vars_t, stpi_softweave_t, and stpi_softweave::vmod. Referenced by stpi_escp2_flush_pass().

const stp_linebufs_t* stp_get_linebases_by_pass | ( | const stp_vars_t * | v,
|  | int | pass
| ) |

| Definition at line 1280 of file print-weave.c. References stpi_softweave::linebases, stp_get_component_data(), stp_vars_t, stpi_softweave_t, and stpi_softweave::vmod. Referenced by stpi_escp2_flush_pass().

stp_linecount_t* stp_get_linecount_by_pass | ( | const stp_vars_t * | v,
|  | int | pass
| ) |

| Definition at line 1272 of file print-weave.c. References stpi_softweave::linecounts, stp_get_component_data(), stp_vars_t, stpi_softweave_t, and stpi_softweave::vmod. Referenced by stpi_escp2_flush_pass().

stp_lineoff_t* stp_get_lineoffsets_by_pass | ( | const stp_vars_t * | v,
|  | int | pass
| ) |

| Definition at line 1256 of file print-weave.c. References stpi_softweave::lineoffsets, stp_get_component_data(), stp_vars_t, stpi_softweave_t, and stpi_softweave::vmod. Referenced by stpi_escp2_flush_pass().

stp_pass_t* stp_get_pass_by_pass | ( | const stp_vars_t * | v,
|  | int | pass
| ) |

| Definition at line 1288 of file print-weave.c. References stpi_softweave::passes, stp_get_component_data(), stp_vars_t, stpi_softweave_t, and stpi_softweave::vmod. Referenced by stpi_escp2_flush_pass(), and stpi_flush_passes().

void stp_initialize_weave | ( | stp_vars_t * | v,
|  | int | jets,
|  | int | separation,
|  | int | oversample,
|  | int | horizontal,
|  | int | vertical,
|  | int | ncolors,
|  | int | bitwidth,
|  | int | linewidth,
|  | int | line_count,
|  | int | first_line,
|  | int | page_height,
|  | const int * | head_offset,
|  | stp_weave_strategy_t | ,
|  | stp_flushfunc | ,
|  | stp_fillfunc | ,
|  | stp_packfunc | ,
|  | stp_compute_linewidth_func |
| ) |

| Definition at line 1009 of file print-weave.c. References allocate_lineactive(), allocate_linebounds(), allocate_linebuf(), allocate_linecount(), allocate_lineoff(), stpi_softweave::bitwidth, stpi_softweave::compute_linewidth, stpi_softweave::current_vertical_subpass, stpi_softweave::fillfunc, stpi_softweave::firstline, stpi_softweave::flushfunc, stpi_softweave::head_offset, stpi_softweave::horizontal_weave, stpi_softweave::horizontal_width, initialize_weave_params(), stpi_softweave::jets, stpi_softweave::last_pass, stpi_softweave::last_pass_offset, stpi_softweave::lineactive, stpi_softweave::linebases, stpi_softweave::linebounds, stpi_softweave::linecounts, stpi_softweave::lineno, stpi_softweave::lineoffsets, stpi_softweave::linewidth, stpi_softweave::ncolors, stpi_softweave::oversample, stpi_softweave::pack, stp_pass_t::pass, stpi_softweave::passes, stpi_softweave::rcache, stpi_softweave::repeat_count, stpi_softweave::separation, stp_allocate_component_data(), stp_compute_linewidth_func, stp_eprintf(), stp_fillfunc, stp_flushfunc, stp_free(), stp_packfunc, stp_vars_t, stp_zalloc(), stpi_destroy_weave(), stpi_softweave_t, stp_linebufs_t::v, stpi_softweave::vcache, stpi_softweave::vertical_height, stpi_softweave::vertical_oversample, stpi_softweave::vertical_subpasses, stpi_softweave::virtual_jets, stpi_softweave::vmod, and stpi_softweave::weaveparm. Referenced by escp2_print_page().

void stp_weave_parameters_by_row | ( | const stp_vars_t * | v,
|  | int | row,
|  | int | vertical_subpass,
|  | stp_weave_t * | w
| ) |

| Definition at line 1192 of file print-weave.c. References stp_get_component_data(), stp_vars_t, stpi_softweave_t, and weave_parameters_by_row().

void stp_write_weave | ( | stp_vars_t * | v,
|  | unsigned char *const | cols[]
| ) |

| Definition at line 1545 of file print-weave.c. References add_to_row(), stpi_softweave::bitwidth, stpi_softweave::comp_buf, stpi_softweave::compute_linewidth, stpi_softweave::current_vertical_subpass, finalize_row(), stpi_softweave::fold_buf, stpi_softweave::head_offset, stpi_softweave::horizontal_weave, initialize_row(), stpi_softweave::lineno, stpi_softweave::linewidth, stpi_softweave::ncolors, stpi_softweave::pack, stpi_softweave::s, stp_linebounds_t::start_pos, stp_fold(), stp_get_component_data(), STP_MAX_WEAVE, stp_split_2(), stp_split_4(), stp_unpack_2(), stp_unpack_4(), stp_unpack_8(), stp_vars_t, stp_zalloc(), stpi_get_lineactive(), stpi_get_linebases(), stpi_get_linebounds(), stpi_get_linecount(), stpi_get_lineoffsets(), stpi_softweave_t, stpi_softweave::vertical_oversample, and stpi_softweave::vertical_subpasses. Referenced by escp2_print_data().

## Variable Documentation

stp_compute_linewidth_func stp_compute_tiff_linewidth

| Definition at line 141 of file weave.h.

stp_compute_linewidth_func stp_compute_uncompressed_linewidth

| Definition at line 142 of file weave.h.

stp_fillfunc stp_fill_tiff

| Definition at line 138 of file weave.h.

stp_fillfunc stp_fill_uncompressed

| Definition at line 139 of file weave.h.

stp_packfunc stp_pack_tiff

| Definition at line 135 of file weave.h.

stp_packfunc stp_pack_uncompressed

| Definition at line 136 of file weave.h.